import { HttpLoginRequest, HttpLoginResponse } from '../../interfaces/auth.interface';
import { BaseApi } from '../base.api';
export default class AuthApi extends BaseApi {
    baseUrl: string;
    constructor(baseUrl: string);
    login(data: HttpLoginRequest): Promise<HttpLoginResponse>;
    logout(jwt: string): Promise<void>;
}
