import { HttpCopyAccountPasswordRequest, HttpCopyAccountPasswordResponse, HttpGetAllBreakGlassEntriesRequest, HttpGetAllBreakGlassEntriesResponse } from '../../interfaces/break-glass-entry.interface';
import { StoredCredentialsType } from '../../interfaces/cli.interface';
import { BaseApi } from '../base.api';
export default class BreakGlassEntryApi extends BaseApi {
    creds: StoredCredentialsType;
    constructor(creds: StoredCredentialsType);
    getAllAccounts(data: HttpGetAllBreakGlassEntriesRequest): Promise<HttpGetAllBreakGlassEntriesResponse>;
    copyAccountPassword(data: HttpCopyAccountPasswordRequest): Promise<HttpCopyAccountPasswordResponse>;
}
