"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.API_ENDPOINTS = exports.API_CONFIG = void 0;
exports.API_CONFIG = {
    API_URL: 'api/v1/',
    USER_AGENT: 'PAM CLI Client',
    ACCEPT: 'application/json',
    CONTENT_TYPE: 'application/json',
    AUTHORIZATION: (jwtToken) => `JWT ${jwtToken}`,
    DEFAULT_TIMEOUT: 10000,
    DEFAULT_REJECT_UNAUTH: false,
};
exports.API_ENDPOINTS = {
    AUTH: { LOGIN: 'Login', LOGOUT: 'logout' },
    BREAK_GLASS: { GET_ALL: 'pam/GetAllSecureContainers' },
    BREAK_GLASS_ENTRIES: { GET_ALL: 'pam/GetAllSecureContainerEntries', COPY_ENTRY: 'pam/CopySecureContainerEntry' },
};
