"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.COMMANDS = void 0;
exports.COMMANDS = {
    auth: {
        command: 'auth',
        description: 'Authenticate the User on RevBits PAM.',
        options: {
            serverURL: { description: 'Your PAM Server URL' },
            username: { description: 'Your PAM Username' },
            password: { description: 'Your PAM User Password' },
            itr: { default: 1000, description: 'Your PAM User Password Iteration Count' },
        },
    },
    logout: {
        command: 'logout',
        description: 'This will remove your session from CLI.',
    },
};
