import { HttpResponse } from './http.interface';
export interface HttpGetAllBreakGlassesRequest {
    name?: string;
}
export interface BreakGlass {
    id: string;
    type: string;
    name: string;
    description: string | null;
    iconUrl: string | null;
    created_at: Date;
    updated_at: Date;
    createdBy: string;
}
export type HttpGetAllBreakGlassesResponse = HttpResponse<Array<BreakGlass>>;
