export declare const API_CONFIG: {
    API_URL: string;
    USER_AGENT: string;
    ACCEPT: string;
    CONTENT_TYPE: string;
    AUTHORIZATION: (jwtToken: string) => string;
    DEFAULT_TIMEOUT: number;
    DEFAULT_REJECT_UNAUTH: boolean;
};
export declare const API_ENDPOINTS: {
    AUTH: {
        LOGIN: string;
        LOGOUT: string;
    };
    BREAK_GLASS: {
        GET_ALL: string;
    };
    BREAK_GLASS_ENTRIES: {
        GET_ALL: string;
        COPY_ENTRY: string;
    };
};
