import { Asset, AssetType } from './asset.interface';
import { BreakGlass } from './break-glass.interface';
export interface AssetCredential {
    assetType: string;
    createdAt: Date;
    database: string;
    entity: 'pam-credential';
    fields: any;
    frequencyTitle: string;
    fullName: string;
    hasSshKey: boolean;
    id: string;
    isChecked: boolean;
    isPrivilegedAccess: boolean;
    iteration: string;
    lastRunAt: Date;
    name: string;
    nextRunAt: Date;
    password?: string;
    port: string;
    privateKey?: string;
    rotationFrequency: number;
    SecureContainer: BreakGlass;
    secureContainerId: string;
    PamAssetType: AssetType;
    updatedAt: Date;
    username: string;
    isDisallowedCommands?: boolean;
    ldapAccountId: string;
    assets: Asset;
    slaveCredentials: [];
    isMaster: boolean;
    parentId: string;
}
